Name:           kde-plasma-quickaccess
Version:        0.7.1
Release:        8%{?dist}
Summary:        Plasma applet for quick access to the most used folders

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php/QuickAccess?content=84128

Source0:        http://www.kde-look.org/CONTENT/content-files/84128-quickaccess-%{version}.tar.gz
Patch0:         kde-plasma-quickaccess-0.7.1-default-size.patch
Patch1:         kde-plasma-quickaccess-0.7.1-kde42-iconwidget.patch
Patch2:         kde-plasma-quickaccess-0.7.1-kde42-build.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-workspace-devel >= 4.2.0
BuildRequires:  kdelibs-devel >= 4.2.0
BuildRequires:  kdebase-devel >= 4.2.0
BuildRequires:  kdebase-libs >= 4.2.0

%description
QuickAccess is a small applet designed for the panel to have quick access
to the most used folders.


%prep
%setup -qn quickaccess-%{version}
%patch0 -p1 -b .default-size
%patch1 -p1 -b .kde42-iconwidget
%patch2 -p1 -b .kde42-build


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_libdir}/kde4/plasma_applet_quickaccess.so
%{_kde4_datadir}/kde4/services/plasma-applet-quickaccess.desktop

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 29 2009 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-7
- KDE 4.2.0 build patch (Plasma package no more required)

* Wed Jan 29 2009 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-6
- KDE 4.2.0 rebuild 

* Sun Dec 14 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.7.1-5
- drop libkonq hack, linker search path fixed in kdelibs now

* Tue Dec 02 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-4
- build requires
- build problem ugly hack (lkonq)
- make VERBOSE=1

* Tue Dec 02 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-3
- patched for KDE 4.2 Plasma API

* Thu Nov 06 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-2
- default size patch
- fix URL

* Wed Sep 10 2008 Jaroslav Reznik <jreznik@redhat.com> 0.7.1-1
- Initial package
